(function () {
    'use strict';

    angular
        .module('app.directives', [])

          .directive('headerShrinkFade', function($document, $ionicPosition) {
            var fadeAmt;
            var min = 200;
            var trh = 94;
            var sz = {};
            var shrink = function(header,subheader,title, content, amt, max, limitElement, scrollTop) {
              amt = Math.min(trh, amt);
              // fadeAmt = 1 - (amt / 84);
              fadeAmt = (amt / trh);

              if(limitElement.length>1){
                  for (var i = 0; i < limitElement.length; i++) {
                    try {
                        sz = $ionicPosition.position(limitElement[i]);
                        break;
                    } catch (e) { }
                  }
              }else{
                  sz = $ionicPosition.position(limitElement);
              }


              var sy = sz.height - 110;
              min=0;
              var subhtop = 55*fadeAmt;
              var fadeOffset =0;
              ionic.requestAnimationFrame(function() {
                // if(title.length>1 ){
                  for (var i = 0; i < title.length; i++) {
                    title[i].style.opacity= fadeAmt+fadeOffset;
                  }

                  // for (var i = 0; i < limitElement.length; i++) {
                  //   if(subhtop>20){
                  //     limitElement[i].style.opacity = 0;
                  //   }else{
                  //     limitElement[i].style.opacity = 1;
                  //   }
                  //
                  // }

                  for (var i = 0; i < subheader.length; i++) {
                    if((fadeAmt+fadeOffset)>=1 && scrollTop>sy){
                      subheader[i].style.opacity= fadeAmt+fadeOffset;
                      subheader[i].style.top=subhtop+'px';
                    }else {
                        subheader[i].style.opacity=0;
                        subheader[i].style.top='0px';
                    }

                  }

                  for (var i = 0; i < header.length; i++) {
                    header[i].style.backgroundColor= 'rgba(6 , 122 , 167, '+fadeAmt+')';
                  }


              });
            };

            return {
              restrict: 'A',
              link: function($scope, $element, $attr) {
                var starty = $scope.$eval($attr.headerShrinkFade) || 0;
                var shrinkAmt;
                var header_id = $attr.shrinkHeaderId;
                var subheader_id = $attr.shrinkSubheaderId;
                var title_id = $attr.shrinkTitleId;
                var limitElement_id = $attr.shrinkLimitElement;

              //  var headerold = $document[0].body.querySelector('.mt-header');
                // var subheader = $document[0].body.querySelector('.mt-subheader');
                // var title = $document[0].body.querySelector('.mt-header-title');

                var header = $document[0].body.querySelectorAll('#'+header_id);
                var subheader = $document[0].body.querySelectorAll('#'+subheader_id);
                var title = $document[0].body.querySelectorAll('#'+title_id);
                var limitElement = $document[0].body.querySelectorAll('#'+limitElement_id);


                var headerHeight = trh;// header.offsetHeight;

                $element.bind('scroll', function(e) {
                  var scrollTop = null;
                  if(e.detail){
                    scrollTop = e.detail.scrollTop;
                  }else if(e.target){
                    scrollTop = e.target.scrollTop;
                  }
                  if(scrollTop > min && scrollTop > starty){
                      scrollTop= scrollTop - min;
                    // Start shrinking
                    shrinkAmt = headerHeight - Math.max(0, (starty + headerHeight) - scrollTop);
                    shrink(header, subheader, title,$element[0], shrinkAmt, headerHeight, limitElement, scrollTop);
                  } else {
                    shrink(header, subheader, title, $element[0], 0, headerHeight, limitElement, scrollTop);
                  }
                });
              }
            }
          })
          .filter('numberFixedLen', function () {
              return function (n, len) {
                  var num = parseInt(n, 10);
                  len = parseInt(len, 10);
                  if (isNaN(num) || isNaN(len)) {
                      return n;
                  }
                  num = ''+num;
                  while (num.length < len) {
                      num = '0'+num;
                  }
                  return num;
              };
          })


})();
