(function () {
    'use strict';

    angular
      .module('privacy.module', [])
      .controller('PrivacyController', PrivacyController);

    PrivacyController.$inject = ['$ionicLoading',  '$http', '$ionicModal', '$scope','$cordovaDialogs', '$log','$translate', '$rootScope',
    ];
    function PrivacyController($ionicLoading, $http, $ionicModal, $scope, $cordovaDialogs, $log, $translate, $rootScope) {
      //console.log('PrivacyController');
      var content='';
      var vm = angular.extend(this, {
        content:content,
        loadContent:loadContent,
        view_title:''
      });
      $translate('privacy_title').then(function (translation) {
        vm.view_title = translation;
      });

      function loadContent(){
        if(vm.content!='') return;
        vm.content = $rootScope.privacyText;
        // $ionicLoading.show({
        //     title: vm.view_title,
        //     template: ''
        // });
        // var l = $translate.use() ||   $translate.preferredLanguage()  || 'it';//||   $translate.storage().get($translate.storageKey());
        //
        // $http.get("https://api.metooo.io/cms/permalink?permalink=privacy", { headers:  { Locale:  l } })
        // .then(
        //   function (result) {
        //     //  alert(vm.result);
        //     // var css='';
        //     try {
        //       vm.content= clearContent(result.data.fields[l].content);
        //
        //     } catch (e) {
        //        alert(e+':'+angular.toJson(result));
        //     }
        //     $ionicLoading.hide();
        //   },
        //   function(err){
        //     $ionicLoading.hide();
        //     $cordovaDialogs.alert("Problemi su lettura info privacy");
        //     $log.error(err);
        //   }
        // );
      }
      $scope.$on("modal.shown", function(event,modal){
          if(modal.id=='privacy'){
            vm.loadContent();
          }

      });
      // $scope.$on("$ionicView.beforeEnter", function(event, data){
      //   vm.loadContent();
      //
      // });

    }

})();
