(function () {
    'use strict';

    angular
      .module('main.module', [])

      .controller('SideMenuController', [ '$scope', '$state', '$rootScope','AuthServices',
          function ($scope, $state, $rootScope,AuthServices) {
              var vm = angular.extend(this, {
                userLogged: AuthServices.getLoggedUser()!=undefined ? true : false,
                user: AuthServices.getLoggedUser(),
                executeAction:executeAction,
                openSignUp:openSignUp,
                openPrivacy:openPrivacy,
                statename:'',
              });


              $rootScope.$on('mt-user-logged', function(event,data){
                vm.user = AuthServices.getLoggedUser();
                vm.userLogged=AuthServices.getLoggedUser()!=undefined ? true : false;
              })

              function executeAction(sref){
                $state.go(sref);
                $scope.hideSideMenu();
              }
              function openSignUp(){
                  $rootScope.authMode ='signup';
                  $rootScope.showAuthModal($scope);
              }
              function openPrivacy(){
                  $rootScope.showPrivacy();
              }


          }

      ])

})();
