(function () {
    'use strict';

    angular.module('app.translations', ['pascalprecht.translate'])

    .constant('app_translations',{

        'it': {
          "intro_btn_enter":"Entra",
          "intro_btn_login":"Accedi",
          "intro_btn_signup":"Registrati",
          "messaggio_benvenuto_titolo_1": "Benvenuto in Metooo",
          "messaggio_benvenuto_text_1": "Ogni giorno un mondo di eventi",
          "messaggio_benvenuto_titolo_2": "Il modo più semplice di trovare eventi intorno a te",
          "messaggio_benvenuto_text_2": "Workshop, degustazioni, mostre, corsi di cucina: un evento per tutti i gusti",
          "messaggio_benvenuto_titolo_3": "Scegli il tuo evento, acquista i biglietti",
          "messaggio_benvenuto_text_3": "Incontra le tue passioni: fiere, vernissage, laboratori di creatività",
          "messaggio_benvenuto_titolo_4": "Dillo ad un amico",
          "messaggio_benvenuto_text_4": "Gli eventi sono fatti per essere vissuti insieme.",

          "auth_tab_login":"ACCEDI",
          "auth_tab_signup": "REGISTRATI",
          "auth_tab_recover": "RECUPERO PASSWORD",
          "auth_email": "E-mail",
          "auth_password": "Password",
          "login_forgotpassword": "Password dimenticata?",
          "login_recoverpassword": "Recupera password",
          "login_forgotpassword_text": "Ti abbiamo inviato un\'email con le istruzioni per recuperare la password.",
          "login_title": "Accedi a Metooo",
          "signup_title": "Registrati a Metooo",
          "login_button": "Accedi",
          "login_infometooo_button": "Non hai ancora creato un evento?",
          "login_infometooo_text": "Metooo Event Plan è l'app che ti aiuta a gestire gli ingressi e le comunicazioni agli ospiti. Puoi gestire i checkin scansionando i QR-Code dei biglietti, inviare email ai partecipanti filtrando per nominativo oppure per categoria, e tenere sotto controllo l'andamento delle registrazioni e degli ingressi in tempo reale. Crea un evento con Metooo. È gratis.",
          "login_social": "oppure accedi con",
          "login_failed_title": "Accesso non riuscito",
          "login_failed_text": "Email o password non corretta",
          "login_failed_pro_title": "Accesso non riuscito",
          "login_failed_pro_text": "Per accedere a Metooo Event Plan è necessario essere un utente PRO. Scopri maggiori informazioni.",
          "register_button":"Registrati a Metooo",
          "register_social":"oppure registrati con",
          "register_email_button":"Registrati con E-Mail",
          "event_list_label": "Eventi",
          "event_list_label_pubblished": "Pubblicato",
          "event_list_label_draft": "Bozza",
          "event_list_label_message_button": "Invia un messaggio ai partecipanti",
          "event_list_label_message_title": "Email",
          "event_list_label_message_text": "Scrivi un messaggio",
          "event_list_label_message_send_button": "Invia email",
          "event_info_label": "Informazioni sull\'evento",
          "event_info_search": "Cerca partecipanti",
          "event_info_nav_1": "Liste",
          "event_info_nav_2": "Informazioni",
          "event_info_nav_13": "Dettagli",
          "event_info_label_present": "In Corso",
          "event_info_label_past": "Passati",
          "event_info_button_email": "Invia Email",
          "event_info_button_info": "Inizia subito",
          "event_info_button_checkin": "Checkin",
          "event_info_checkin_title": "Checkin",
          "event_info_checkin_text": "Checkin effettuato",
          "event_info_uncheckin_title": "Uncheckin",
          "label_biglietti": "Biglietti",
          "label_dove": "Dove",
          "label_descrizione_evento": "Descrizione",
          "label_foto_evento": "Foto",
          "label_quando": "Quando",
          "event_info_uncheckin_text": "Checkin annullato",
          "event_info_filter_title": "Filtra i partecipanti da visualizzare",
          "event_info_uncheckin_all": "Tutti",
          "event_info_uncheckin_checkin": "Checkin",
          "event_info_uncheckin_nocheckin": "No Checkin",
          "event_info_stat_title": "Statistiche del tuo evento",
          "event_info_stat_sold": "Biglietti venduti",
          "event_info_stat_checkin": "Checkin effettuati",
          "event_info_share_title": "Condividi l\'evento",
          "title_tab_attendee": "Partecipante",
          "info_attendee_ticket": "Biglietto",
          "info_attendee_code": "Codice",
          "loading_events": "Caricamento eventi",
          "loading_events_detail": "Caricamento dettaglio eventi",
          "loading_login": "Accesso in corso",
          "loading_email": "Invio email in corso",
          "loading_email_sent": "Email inviata",
          "privacy_title":"Informativa privacy",
          "events_title":"Eventi ",
          "events_title_in":"Eventi a",
          "events_title_p": "Eventi in evidenza",
          "event_search_title":"Cerca eventi",
          "events_from"	: "Eventi dal ",
          "event_contact_title":"Contatta",
          "event_contact_send":"Invia messaggio",
          "event_contact_write":"Scrivi un messaggio",
          "detail_organized_by": "Organizzato da ",
          "events_profile_title":"Eventi di ",
          "detail_description_title":"Descrizione",
          "event_detail_tab_info":"INFORMAZIONI",
          "event_detail_tab_details":"DETTAGLI",
          "event_detail_add_to_calendar":"AGGIUNGI A CALENDARI",
          "event_detail_when":"QUANDO",
          "event_detail_where":"DOVE",
          "event_detail_profile":"Profilo",
          "event_detail_contact":"Contatta",
          "event_detail_tickets": "Biglietti",
          "events_private_wall": "Bacheca privata",
          "event_search_place_title": "Imposta città",
          "event_search_place_current_position": "Posizione attuale",
          "event_search_place_search": "cerca",
          "event_search_no_data_title": "Non ci sono eventi",
          "event_search_no_data_text": "  Non ci sono eventi con i criteri selezionati, prova a cambiarli",
          "event_list_no_data_text1": "Non ci sono eventi a",
          "event_list_no_data_text2": "  nel periodo selezionato, prova a cercare in un'altra città.",

          "my_events_goto": "Vai su",
          "my_events_goto_create": "per creare un nuovo evento",

          "sidemenu_signup_login":"Registrati o Accedi",
          "sidemenu_subtitle":"Visualizza i tuoi biglietti, salva i tuoi eventi preferiti",
          "sidemenu_events": "Eventi",
          "sidemenu_my_events": "I miei Eventi",
          "sidemenu_my_tickets":" I miei biglietti ",
          "sidemenu_profile": "Profilo",
          "sidemenu_about": "Cosa è Metooo",
          "sidemenu_privacy": "Privacy",


          "my_tickets_title": "I miei biglietti",
          "my_tickets_from": "Dal",
          "my_tickets_to": "al",
          "my_tickets_ticket": "Biglietto",
          "my_tickets_tickets": "Biglietti",
          "my_tickets_order_num": "Ordine n.",
          "my_tickets_execute_on": "Eseguito il",
          "my_tickets_begin_on": " Inizia il",
          "my_tickets_no_data_title": "Nessun biglietto",
          "my_tickets_no_data_text": "Non hai acquistato nessun biglietto",

          "buy_tickets_title":"Biglietto",
          "buy_tickets_time": "Tempo a disposizione",
          "buy_tickets_amount": "Spesa",
          "buy_tickets_total": "Totale",
          "buy_tickets_ticket": "Biglietto",
          "buy_tickets_personal_data": "DATI PERSONALI",
          "buy_tickets_other_data": "DATI AGGIUNTIVI",
          "buy_tickets_name": "Nome",
          "buy_tickets_surname": "Cognome",
          "buy_tickets_email": "E-mail",
          "buy_tickets_next": "Prossimo biglietto",
          "buy_tickets_proceed": "Procedi",
          "buy_tickets_end_date":"Fine vendita:",
          "buy_tickets_availables":"Biglietti disponibili",
          "buy_tickets_end_title":"Ordine completato",
          "buy_tickets_end_ok":"Ordine completato",
          "buy_tickets_end_share":"Condividi",
          "buy_tickets_end_detail":"Dettaglio ordine",
          "buy_tickets_end_gotoevent":"Torna all\'evento",
          "buy_tickets_pay_paypal": "Paga con Paypal",
          "buy_tickets_data_card": "DATI CARTA",
          "buy_tickets_cardnum": "Numero carta",
          "buy_tickets_cardmm": "MM",
          "buy_tickets_cardyyyy": "AAAA",
          "buy_tickets_cardcvc": "CVC",
          "buy_tickets_dopay_stripe": "Effettua pagamento",
          "buy_tickets_dopay_paypal":"Paga con Paypal",
          "buy_tickets_dopay_card":"Paga con carta",
          "about_title":"Cosa è Metooo",
          "about_create_event":"CREA UN NUOVO EVENTO",
          "about_content_title":"Sai che con Metooo puoi anche creare eventi",
          "about_content_text":"<p>Vai su Metooo e trasformati in un event planner provetto!</p><p>Crea, gestisci, promuovi i tuoi eventi sia pubblici che privati, vendi biglietti o ricevi donazioni in modo trasparente e sicuro. </p><p>Racconta il tuo evento e il tuo brand, fai sognare il tuo pubblico grazie ai moduli dedicati: testo, video, immagini, audio, sponsor. </p><p>È semplice e immediato.</p>",
          "profile_title":"Profilo",
          "profile_name": "Nome e Cognome",
          "profile_email":"Email",
          "profile_logout":"Esci",
          "myevents_title":"I miei eventi",
          "buy_tickets_end_summary_title": "Dettaglio ordine",
          "buy_tickets_end_ko":"Pagamento non effettuato, riprovare o selezionare altro metodo di pagamento",
          "buy_tickets_apply_discount":"APPLICA",
          "privacy_info": "Info",

          //--aggiuntive
                    "auth_login_failed":"Autenticazione non riuscita",
                    "auth_pwdrec_failed": "Recupero password non riuscito",
                    "pwdrec_insert_email":"Inserire E-mail",
                    "auth_signup_failed": "Registrazione non riuscita",
                    "event_list_server_error": 'Problemi durante caricamento degli eventi. Verificare connessione',
                    "event_list_error": 'Problemi durante caricamento degli eventi.',
                    "event_list_map_error": "Problemi su caricamento mappa",
                    "event_detail_add_to_calendar_confirm": "Conferma aggiunta date a calendario?",
                    "event_detail_add_to_calendar_ok": "Aggiungi",
                    "event_detail_added_to_calendar":'Date evento aggiunte al calendario correttamente.',
                    'event_detail_added_to_calendar_error':'Problemi su aggiunta date al calendario.',
                    "coordinate_not_found": "Coordinate non trovate",
                    "my_tickets_qrcode_error": "Rilevazione qrcode non riuscita",
                    "position_error": "Rilevazione posizione non riuscita, verificare impostazioni dispositivo e permessi",
                    "server_data_error":"Problemi durante rilevazione dati",
                    "buy_tickets_no_discount": "nessuno sconto trovato per il codice inserito",
                    "buy_tickets_no_discount_err": "Verifica codice sconto non riuscita",
                    'login_to_proceed':'Non è possibile procedere bisogna entrare o registrarsi',
                    'no_tickets_selected': "Nessun biglietto selezionato.",
                    "order_error":"Problemi durante invio ordine",
                    "order_cancel_error":"Problemi durante annullamento ordine",
                    "confirm_order_cancel": "Attenzione se si procede l'ordine corrente sarà annullato e si inizierà un  nuovo ordine?",
                    "proceed":"Procedi",
                    "cancel":"Annulla",
                    'order_attendee_input_error':'Inserire dati richiesti assegnatario biglietto per procedere.',
                    'time_expired':'Tempo a disposizione scaduto',
                    "stripe_error": "Richiesta autorizzazione non riuscita",
                    "order_pay_error":"Pagamento ordine non riuscito",
                    "data_insert_error":"Compilare tutti i campi per procedere",
                    "msg_send_error":"Problemi durante invio, riprovare piu tardi.",
                    "msg_send_error_elepsedtime":"Hai inviato da poco un messaggio a questo utente, riprova in seguito.",
                    "event_list_evidence":"IN EVIDENZA",
                    "event_list_thisweek":"QUESTA SETTIMANA",
                    "event_list_thismonth":"QUESTO MESE",
                    "event_search_search_city":"cerca città",
                    "event_search_search_event":"cerca evento",
          //--fine aggiuntive
        },

        'en': {
          "intro_btn_enter":"Enter",
        "intro_btn_login":"Login",
        "intro_btn_signup":"Sign up",
        "messaggio_benvenuto_titolo_1": "Welcome in Metooo",
        "messaggio_benvenuto_text_1": "A world of events, everyday",
        "messaggio_benvenuto_titolo_2": "The better tool to spot and buy events around you",
        "messaggio_benvenuto_text_2": "Workshops, tastings, cooking classes: an event for everyone",
        "messaggio_benvenuto_titolo_3": "Choose your event, buy tickets",
        "messaggio_benvenuto_text_3": "Follow your passions: fairs, exhibitions, creative workshops",
        "messaggio_benvenuto_titolo_4": "Tell a friend",
        "messaggio_benvenuto_text_4": "The events are meant to be lived together.",

        "auth_tab_login":"LOGIN",
        "auth_tab_signup": "SIGN UP",
        "auth_tab_recover": "Forgot password",
        "auth_email": "E-mail",
        "auth_password": "Password",
        "login_forgotpassword": "Did you forget your password?",
        "login_recoverpassword": "Recover your password",
        "login_forgotpassword_text": "We sent an email with instructions to recover your password.",
        "login_title": "Login on Metooo",
        "signup_title": "Sign up on Metooo",
        "login_button": "Enter",
        "login_infometooo_button": "Haven't you created an event yet?",
        "login_infometooo_text": "Metooo Event Plan is the app that helps you manage registrations and tickets for your guests and notices to attendees. You can manage check-in by scanning the QR-Code of tickets, send email to participants filtering by customer name or by ticket category, and monitor the progress of the registrations and real-time check-ins. Create an event with Metooo. It's free.",
        "login_social": "or sign in with",
        "login_failed_title": "Login failed",
        "login_failed_text": "Email or password is incorrect",
        "login_failed_pro_title": "Login failed",
        "login_failed_pro_text": "To access Metooo Event Plan you must be a PRO user. Find out more information.",
        "register_button":"Sign up on Metooo",
        "register_social":"or sign up by",
        "register_email_button":"Sign up by E-Mail",
        "event_list_label": "Events",
        "event_list_label_pubblished": "published",
        "event_list_label_draft": "Draft",
        "event_list_label_message_button": "Send a message to the attendees",
        "event_list_label_message_title": "Email",
        "event_list_label_message_text": "Write a message",
        "event_list_label_message_send_button": "Send email",
        "event_info_label": "Event'\s info",
        "event_info_search": "Search among attendees",
        "event_info_nav_1": "Lists",
        "event_info_nav_2": "Information",
        "event_info_nav_13": "Details",
        "event_info_label_present": "Ongoing",
        "event_info_label_past": "Past",
        "event_info_button_email": "Send Email",
        "event_info_button_info": "Start now",
        "event_info_button_checkin": "Checkin",
        "event_info_checkin_title": "Checkin",
        "event_info_checkin_text": "Checkin done",
        "event_info_uncheckin_title": "Uncheckin",
        "label_biglietti": "Tickets",
        "label_dove": "Where",
        "label_descrizione_evento": "Description",
        "label_foto_evento": "Photo",
        "label_quando": "When",
        "event_info_uncheckin_text": "Checkin canceled",
        "event_info_filter_title": "Filter the attendees to display",
        "event_info_uncheckin_all": "All",
        "event_info_uncheckin_checkin": "Checkin",
        "event_info_uncheckin_nocheckin": "No Checkin",
        "event_info_stat_title": "Statistics of your event",
        "event_info_stat_sold": "Tickets sold",
        "event_info_stat_checkin": "Total Checkin",
        "event_info_share_title": "Share the event",
        "title_tab_attendee": "Attendee",
        "info_attendee_ticket": "Ticket",
        "info_attendee_code": "Code",
        "loading_events": "Loading events",
        "loading_events_detail": "Loading events details",
        "loading_login": "Logging in",
        "loading_email": "Sending email in progress",
        "loading_email_sent": "Email sent",
        "privacy_title":"Privacy disclaimer",
        "events_title":"Events ",
        "events_title_in":"Events in",
        "events_title_p": "Featured events",
        "event_search_title":"Search events",
        "events_from"	: "Events from ",
        "event_contact_title":"Contact",
        "event_contact_send":"Send message",
        "event_contact_write":"Write a message",
        "detail_organized_by": "planned by ",
        "events_profile_title":" events",
        "detail_description_title":"Description",
        "event_detail_tab_info":"INFORMATION",
        "event_detail_tab_details":"DETAILS",
        "event_detail_add_to_calendar":"ADD TO CALENDAR",
        "event_detail_when":"WHEN",
        "event_detail_where":"WHERE",
        "event_detail_profile":"Profile",
        "event_detail_contact":"Contact",
        "event_detail_tickets": "Tickets",
        "events_private_wall": "Private board",
        "event_search_place_title": "Set city",
        "event_search_place_current_position": "Actual position",
        "event_search_place_search": "search",
        "event_search_no_data_title": "No events",
        "event_search_no_data_text": "  No events with the selected criteria, try to change them",
        "event_list_no_data_text1": "No events in",
        "event_list_no_data_text2": "  during the selected period, try looking in another city.",

        "my_events_goto": "Go up",
        "my_events_goto_create": "to create a new event",

        "sidemenu_signup_login":"Sign up or Login",
        "sidemenu_subtitle":"Show your tickets, save your favorite events",
        "sidemenu_events": "Events",
        "sidemenu_my_events": "My Events",
        "sidemenu_my_tickets":" My tickets ",
        "sidemenu_profile": "Profile",
        "sidemenu_about": "What is Metooo",
        "sidemenu_privacy": "Privacy",


        "my_tickets_title": "My tickets",
        "my_tickets_from": "From",
        "my_tickets_to": "to",
        "my_tickets_ticket": "Ticket",
        "my_tickets_tickets": "Tickets",
        "my_tickets_order_num": "Order n.",
        "my_tickets_execute_on": "Backed on the day",
        "my_tickets_begin_on": " Begins",
        "my_tickets_no_data_title": "Nessun biglietto",
        "my_tickets_no_data_text": "Non hai acquistato nessun biglietto",

        "buy_tickets_title":"Ticket",
        "buy_tickets_time": "Time remaining ",
        "buy_tickets_amount": "Amount",
        "buy_tickets_total": "Total",
        "buy_tickets_ticket": "Ticket",
        "buy_tickets_personal_data": "PERSONAL DATA",
        "buy_tickets_other_data": "ADDITIONAL INFORMATION",
        "buy_tickets_name": "Name",
        "buy_tickets_surname": "Surname",
        "buy_tickets_email": "E-mail",
        "buy_tickets_next": "Next ticket",
        "buy_tickets_proceed": "Proceed",
        "buy_tickets_end_date":"Sales order:",
        "buy_tickets_availables":"Tickets available",
        "buy_tickets_end_title":"Order completed",
        "buy_tickets_end_ok":"Order completed",
        "buy_tickets_end_share":"Share",
        "buy_tickets_end_detail":"Purchase details",
        "buy_tickets_end_gotoevent":"Back to the event",
        "buy_tickets_pay_paypal": "Pay with Paypal",
        "buy_tickets_data_card": "CARD DATA",
        "buy_tickets_cardnum": "Card number",
        "buy_tickets_cardmm": "MM",
        "buy_tickets_cardyyyy": "AAAA",
        "buy_tickets_cardcvc": "CVC",
        "buy_tickets_dopay_stripe": "Send payment",
        "buy_tickets_dopay_paypal":"Pay with Paypal",
        "buy_tickets_dopay_card":"Pay by card",
        "about_title":"What is Metooo",
        "about_create_event":"PLAN A NEW EVENT",
        "about_content_title":"Do you know that with Metooo you can also plan events",
        "about_content_text":"<p>Become a skilled event planner!</p><p>Create, manage, promote your events, both public and private, sell tickets or receive donations in a transparent and secure. </p><p>Tell all about your event and your brand, you dream of your audience with dedicated modules: text, video, images, audio, sponsors.</p>",
        "profile_title":"Profile",
        "profile_name": "Name and Surname",
        "profile_email":"Email",
        "profile_logout":"Sign Out",
        "myevents_title":"My Events",
        "buy_tickets_end_summary_title": "Order detail",
        "buy_tickets_end_ko":"No payment made, try again or choose another payment method",
        "buy_tickets_apply_discount":"APPLY",
        "privacy_info": "Info",



        "auth_login_failed":"Authentication failed",
        "auth_pwdrec_failed": "Failed to fetch password",
        "pwdrec_insert_email":"Enter E-mail",
        "auth_signup_failed": "Registration Failed",
        "event_list_server_error": 'Problems during loading of the events. Verify connection.',
        "event_list_error": 'There are problems for loading the events list.',
        "event_list_map_error": "There are problems for map loading",
        "event_detail_add_to_calendar_confirm": "Do you confirm the appointment added to the calendar?",
        "event_detail_add_to_calendar_ok": "Add",
        "event_detail_added_to_calendar":'Event added to calendar correctly.',
        'event_detail_added_to_calendar_error':'Problems of adding to the calendar.',
        "coordinate_not_found": "Coordinates not found",
        "my_tickets_qrcode_error": "QRcode detection failed",
        "position_error": "Position detection failed, check the device settings and permissions",
        "server_data_error":"Problems during data collection",
        "buy_tickets_no_discount": "discount code not found",
        "buy_tickets_no_discount_err": "Discount code Check failed",
        'login_to_proceed':'To proceed you need to register or login',
        'no_tickets_selected': "No ticket selected.",
        "order_error":"Problems while sending order",
        "order_cancel_error":"Problems during order cancellation",
        "confirm_order_cancel": "Beware if you proceed the current order will be canceled and you will start a new order. Continue?",
        "proceed":"Proceed",
        "cancel":"Cancel",
        'order_attendee_input_error':'Enter required assignee ticket information to proceed.',
        'time_expired':'Available time ended',
        "stripe_error": "Authorization Request Failed",
        "order_pay_error":"Payment order failed",
        "data_insert_error":"Complete all fields in order to proceed",
        "msg_send_error":"Problems while sending message , please try again later.",
        "msg_send_error_elepsedtime":"You have just sent a message to this user , please try again later.",
        "event_list_evidence":"FEATURED",
        "event_list_thisweek":"THIS WEEK",
        "event_list_thismonth":"THIS MONTH",
        "event_search_search_city":"search city",
        "event_search_search_event":"search event",
        },
        'es': {
          "intro_btn_enter":"Iniciar la sesión",
          "intro_btn_login":"Login",
          "intro_btn_signup":"Inscription",
          "messaggio_benvenuto_titolo_1": "Bienvenido a Metooo",
          "messaggio_benvenuto_text_1": "Todos los días se encuentra un mundo de los eventos",
          "messaggio_benvenuto_titolo_2": "La forma más fácil para encontrar eventos",
          "messaggio_benvenuto_text_2": "Talleres, degustaciones, clases de cocina: un evento para todo el mundo",
          "messaggio_benvenuto_titolo_3": "Elija su evento, comprar entradas",
          "messaggio_benvenuto_text_3": "Siga sus pasiones: ferias, exposiciones, talleres creativos",
          "messaggio_benvenuto_titolo_4": "Enviar a un amigo",
          "messaggio_benvenuto_text_4": "Los eventos están destinados a ser vivido juntos.",

          "auth_tab_login":"INICIAR SESIÓN",
          "auth_tab_signup": "REGISTRO",
          "auth_tab_recover": "Olvidó la contraseña",
          "auth_email": "E-mail",
          "auth_password": "Password",
          "login_forgotpassword": "¿Ha olvidado su contraseña?",
          "login_recoverpassword": "Recuperar contraseña",
          "login_forgotpassword_text": "Hemos enviado un correo electrónico con instrucciones para recuperar su contraseña.",
          "login_title": "Iniciar la sesión",
          "signup_title": "Login ",
          "login_button": "Inscription",
          "login_infometooo_button": "No ha creado un evento?",
          "login_infometooo_text": "Metooo Plan de eventos es la aplicación que te permite administrar entradas para sus invitados y avisos a los participantes. Puede administrar el registro mediante el escaneo del QR-Código de entradas, envía un correo electrónico a los participantes de filtrado por nombre del cliente o por categoría, y monitorear el progreso de los registros y entradas en tiempo real. Crear un evento con Metooo. Es gratis.",
          "login_social": "o inicia sesión con",
          "login_failed_title": "La conexión falló",
          "login_failed_text": "Correo electrónico o la contraseña es incorrecta",
          "login_failed_pro_title": "La conexión falló",
          "login_failed_pro_text": "Para acceder Plan de Evento Metooo usted debe ser un miembro de PRO. Descubre más información.",
          "register_button":"Regístrese en Metooo",
          "register_social":"o, escribirá con",
          "register_email_button":"Suscribirse con el correo electrónico",
          "event_list_label": "Events",
          "event_list_label_pubblished": "Publicado",
          "event_list_label_draft": "Proyecto",
          "event_list_label_message_button": "Enviar un mensaje a los participantes",
          "event_list_label_message_title": "Email",
          "event_list_label_message_text": "Escribir mensaje",
          "event_list_label_message_send_button": "Enviar",
          "event_info_label": "información de eventos",
          "event_info_search": "Buscar entre los participantes",
          "event_info_nav_1": "Listas",
          "event_info_nav_2": "Información",
          "event_info_nav_13": "Detalles",
          "event_info_label_present": "En curso",
          "event_info_label_past": "Pasados",
          "event_info_button_email": "Enviar",
          "event_info_button_info": "Comience ahora",
          "event_info_button_checkin": "Checkin",
          "event_info_checkin_title": "Checkin",
          "event_info_checkin_text": "El registro hecho",
          "event_info_uncheckin_title": "Uncheckin",
          "label_biglietti": "Entradas",
          "label_dove": "Donde",
          "label_descrizione_evento": "Descripción",
          "label_foto_evento": "Foto",
          "label_quando": "Cuando",
          "event_info_uncheckin_text": "Checkin cancelado",
          "event_info_filter_title": "Filtrar los participantes para mostrar",
          "event_info_uncheckin_all": "Todos",
          "event_info_uncheckin_checkin": "Checkin",
          "event_info_uncheckin_nocheckin": "No Checkin",
          "event_info_stat_title": "Estadísticas de su evento",
          "event_info_stat_sold": "Entradas vendidas",
          "event_info_stat_checkin": "El registro hecho",
          "event_info_share_title": "Promover el evento",
          "title_tab_attendee": "El participante",
          "info_attendee_ticket": "Billete",
          "info_attendee_code": "Código",
          "loading_events": "Estamos cargando eventos",
          "loading_events_detail": "Cargando los detalles del evento",
          "loading_login": "Inicio de sesión en",
          "loading_email": "El envío de correo electrónico en curso",
          "loading_email_sent": "Correo electrónico enviado",
          "privacy_title":"Política de privacidad",
          "events_title":"Eventos ",
          "events_title_in":"Eventos a",
          "events_title_p": "Eventos especiales",
          "event_search_title":"Búsqueda de eventos",
          "events_from"	: "Eventos de ",
          "event_contact_title":"Contacto",
          "event_contact_send":"Enviar mensaje",
            "event_contact_write":"Escribe un mensaje",
          "detail_organized_by": "Organizado pora ",
          "events_profile_title":"Los eventos de  ",
          "detail_description_title":"Descripción",
          "event_detail_tab_info":"INFORMACIÓN",
          "event_detail_tab_details":"DETALLES",
          "event_detail_add_to_calendar":"Añadir al calendario",
          "event_detail_when":"CUANDO",
          "event_detail_where":"DONDE",
          "event_detail_profile":"Perfil",
          "event_detail_contact":"Contacto",
          "event_detail_tickets": "Entradas",
          "events_private_wall": "Tablero privada",
          "event_search_place_title": "Fijar la ciudad",
          "event_search_place_current_position": "Posición actual",
          "event_search_place_search": "búsqueda",
          "event_search_no_data_title": "No hay eventos",
          "event_search_no_data_text": "  No hay eventos con los criterios seleccionados, tratan de cambiarlos",
          "event_list_no_data_text1": "Ningún evento hasta",
          "event_list_no_data_text2": "  el período seleccionado, intente buscar en otra ciudad.",

          "my_events_goto": "Seguir",
          "my_events_goto_create": "para crear un nuevo evento",

          "sidemenu_signup_login":"Regístrese o Entre",
          "sidemenu_subtitle":"Mostrar sus entradas, guardar sus eventos favoritos",
          "sidemenu_events": "Eventos",
          "sidemenu_my_events": "Mis eventos",
          "sidemenu_my_tickets":" Mis entradas ",
          "sidemenu_profile": "Perfil",
          "sidemenu_about": "Lo que es Metooo",
          "sidemenu_privacy": "Política de privacidad",


          "my_tickets_title": "Mis entradas",
          "my_tickets_from": "Desde",
          "my_tickets_to": "hasta",
          "my_tickets_ticket": "Entrada",
          "my_tickets_tickets": "Entradas",
          "my_tickets_order_num": "N.º de pedido.",
          "my_tickets_execute_on": "Ejecutada en el día",
          "my_tickets_begin_on": " Comienza",
          "my_tickets_no_data_title": "Nessun biglietto",
          "my_tickets_no_data_text": "Non hai acquistato nessun biglietto",

          "buy_tickets_title":"Entrada",
          "buy_tickets_time": "Tiempo disponible",
          "buy_tickets_amount": "Cantidad",
          "buy_tickets_total": "Cantidad total",
          "buy_tickets_ticket": "Entrada",
          "buy_tickets_personal_data": "DATOS PERSONALES",
          "buy_tickets_other_data": "INFORMACIÓN ADICIONAL",
          "buy_tickets_name": "Nombre",
          "buy_tickets_surname": "Apellido",
          "buy_tickets_email": "E-mail",
          "buy_tickets_next": "Billete siguiente",
          "buy_tickets_proceed": "Concluir",
          "buy_tickets_end_date":"Pedido de cliente:",
          "buy_tickets_availables":"Entradas disponibles",
          "buy_tickets_end_title":"Para completado",
          "buy_tickets_end_ok":"Para completado",
          "buy_tickets_end_share":"Share",
          "buy_tickets_end_detail":"Detalles de la compra",
          "buy_tickets_end_gotoevent":"Volver al evento",
          "buy_tickets_pay_paypal": "Pagar con Paypal",
          "buy_tickets_data_card": "TARJETA DE DATOS",
          "buy_tickets_cardnum": "Número de tarjeta",
          "buy_tickets_cardmm": "MM",
          "buy_tickets_cardyyyy": "AAAA",
          "buy_tickets_cardcvc": "CVC",
          "buy_tickets_dopay_stripe": "Hacer el pago",
          "buy_tickets_dopay_paypal":"Pagar con Paypal",
          "buy_tickets_dopay_card":"Pagar con tarjeta",
          "about_title":"Lo que es Metooo",
          "about_create_event":"CREAR UN NUEVO EVENTO",
          "about_content_title":"Usted sabe que con el método también puede crear eventos",
          "about_content_text":"<p>Conviértete en un planificador de eventos con experiencia!</p><p>Crear, gestionar, promocionar sus eventos, tanto públicos como privados, la venta de entradas o recibir donaciones de una manera transparente y seguro. </p><p>Díganos sobre su caso y su marca, que el sueño de su público con módulos dedicados: texto, video, imágenes, audio, patrocinadores, entradas. </p><p>È semplice e immediato.</p>",
          "profile_title":"Perfil",
          "profile_name": "Nombre completo",
          "profile_email":"Email",
          "profile_logout":"Cerrar sesión",
          "myevents_title":"Mis eventos",
          "buy_tickets_end_summary_title": "Detalles de la orden",
          "buy_tickets_end_ko":"Sin pago realizado, inténtelo de nuevo o elige un método de pago",
          "buy_tickets_apply_discount":"SOLICITAR",
          "privacy_info": "Información",

          //--aggiuntive
          "auth_login_failed":"Error de autenticación",
          "auth_pwdrec_failed": "No se pudo obtener la contraseña",
          "pwdrec_insert_email":"Introduzca su correo",
          "auth_signup_failed": "Falló el registro",
          "event_list_server_error": 'Problemas durante la carga de los eventos. verificar la conexión.',
          "event_list_error": 'Hay problemas para cargar la lista de eventos.',
          "event_list_map_error": "Hay problemas para la carga del mapa",
          "event_detail_add_to_calendar_confirm": "Confirmación de la adición de fechas en el calendario?",
          "event_detail_add_to_calendar_ok": "Añadir",
          "event_detail_added_to_calendar":'Evento añadido a las fechas del calendario correctamente.',
          'event_detail_added_to_calendar_error':'Hay problemas de la adición al calendario.',
          "coordinate_not_found": "Las coordenadas no encontradoe",
          "my_tickets_qrcode_error": "La detección de códigos de barras no",
          "position_error": "Detección de posición falla, compruebe la configuración del dispositivo y permisos",
          "server_data_error":"Hay problemas durante la recogida de datos",
          "buy_tickets_no_discount": "encontrado ningún descuento para el código",
          "buy_tickets_no_discount_err": "Código de control de descuento falló",
          'login_to_proceed':'Proceder es necesario registrarse o entrar',
          'no_tickets_selected': "Sin ticket seleccionado.",
          "order_error":"Problemas, mientras que para el envío",
          "order_cancel_error":"Problemas durante la cancelación del pedido",
          "confirm_order_cancel": "Tenga cuidado si usted conduce el orden actual será cancelado y usted comenzará un nuevo orden. Proceder?",
          "proceed":"Proceder",
          "cancel":"Cancelar",
          'order_attendee_input_error':'Inserte la información del boleto cesionario requerida para proceder.',
          'time_expired':'Tiempo disponible terminó',
          "stripe_error": "Solicitud de Autorización de Falló",
          "order_pay_error":"Orden de pago falla",
          "data_insert_error":"Completar todos los campos con el fin de proceder",
          "msg_send_error":"Problemas al enviar el mensaje , por favor intente de nuevo más tarde.",
          "msg_send_error_elepsedtime":"Acaba de enviar un mensaje a este usuario, por favor intente de nuevo más tarde.",
          "event_list_evidence":"TITULARES",
          "event_list_thisweek":"ESTE MES",
          "event_list_thismonth":"ESTE SEMANA",
          "event_search_search_city":"búsqueda de ciudades",
          "event_search_search_event":"búsqueda de eventos",
          //--fine aggiuntive

        },

        'fr': {
          "intro_btn_enter":"Connectez-vous",
          "intro_btn_login":"Login",
          "intro_btn_signup":"Inscrivez-vous",
          "messaggio_benvenuto_titolo_1": "Bienvenue à Metooo",
          "messaggio_benvenuto_text_1": "Tous les jours, vous trouverez un monde d'événements",
          "messaggio_benvenuto_titolo_2": "La meilleure façon de trouver des événements autour de vous",
          "messaggio_benvenuto_text_2": "Ateliers, dégustations, cours de cuisine: un événement pour tout le monde",
          "messaggio_benvenuto_titolo_3": "Choisissez votre événement, acheter des billets",
          "messaggio_benvenuto_text_3": "Suivez vos passions: foires, expositions, ateliers créatifs",
          "messaggio_benvenuto_titolo_4": "Avertir un ami",
          "messaggio_benvenuto_text_4": "Les événements sont destinés à être vécu ensemble.",

          "auth_tab_login":"LOGIN",
          "auth_tab_signup": "INSCRIVEZ-VOUS",
          "auth_tab_recover": "Mot de passe oublié",
          "auth_email": "E-mail",
          "auth_password": "Password",
          "login_forgotpassword": "Vous avez oublié votre mot de passe?",
          "login_recoverpassword": "Récupérer mot de passe",
          "login_forgotpassword_text": "Nous avons envoyé un e-mail avec des instructions pour récupérer votre mot de passe.",
          "login_title": "Connectez-vous",
          "signup_title": "Login",
          "login_button": "Inscrivez-vous",
          "login_infometooo_button": "Vous avez pas créé un événement?",
          "login_infometooo_text": "Metooo Event Plan est l'application qui vous aide à gérer des billets pour vos invités et avis aux participants. Vous pouvez gérer checkin en scannant le QR-Code de billets, envoyez un courriel aux participants de filtrage par nom de client ou par catégorie, et suivre les progrès des dossiers et des entrées en temps réel. Créer un événement avec Metooo. Il est gratuit.",
          "login_social": "ou connectez-vous avec",
          "login_failed_title": "Échec de la connexion",
          "login_failed_text": "Email ou mot de passe est incorrect",
          "login_failed_pro_title": "Échec de la connexion",
          "login_failed_pro_text": "Pour accéder à l'événement plan Metooo vous devez être membre PRO. Pour en savoir plus d'informations.",
          "register_button":"Inscrivez-vous à Metooo",
          "register_social":"ou, abonnez-vous avec",
          "register_email_button":"S'abonner avec email",
          "event_list_label": "Événements",
          "event_list_label_pubblished": "Publié",
          "event_list_label_draft": "Projet",
          "event_list_label_message_button": "Envoyer un message aux participants",
          "event_list_label_message_title": "Email",
          "event_list_label_message_text": "Ecrire un message",
          "event_list_label_message_send_button": "Envoyer un mail",
          "event_info_label": "informations sur l\'événement",
          "event_info_search": "Recherche parmi les participants",
          "event_info_nav_1": "Listes",
          "event_info_nav_2": "Information",
          "event_info_nav_13": "Détails",
          "event_info_label_present": "En cours",
          "event_info_label_past": "Passés",
          "event_info_button_email": "Envoyer un mail",
          "event_info_button_info": "Commencez maintenant",
          "event_info_button_checkin": "Checkin",
          "event_info_checkin_title": "Checkin",
          "event_info_checkin_text": "Checkin fait",
          "event_info_uncheckin_title": "Uncheckin",
          "label_biglietti": "Billets",
          "label_dove": "Où",
          "label_descrizione_evento": "Description",
          "label_foto_evento": "Photo",
          "label_quando": "Quand",
          "event_info_uncheckin_text": "Checkin annulé",
          "event_info_filter_title": "Filtrer les participants à afficher",
          "event_info_uncheckin_all": "Tous",
          "event_info_uncheckin_checkin": "Checkin",
          "event_info_uncheckin_nocheckin": "No Checkin",
          "event_info_stat_title": "Statistiques de votre événement",
          "event_info_stat_sold": "Billets vendus",
          "event_info_stat_checkin": "Checkin fait",
          "event_info_share_title": "Partagez l\'événement",
          "title_tab_attendee": "Le participant",
          "info_attendee_ticket": "Billet",
          "info_attendee_code": "Code",
          "loading_events": "Nous chargeons les événements",
          "loading_events_detail": "Chargement des détails de l'événement",
          "loading_login": "Connexion à",
          "loading_email": "Envoi d'e-mail en cours",
          "loading_email_sent": "Email envoyé",
          "privacy_title":"Politique de confidentialité",
          "events_title":"Événements ",
          "events_title_in":"Événements dans",
          "events_title_p": "Événements en vedette",
          "event_search_title":"Recherchez des événements",
          "events_from"	: "Les évènements de ",
          "event_contact_title":"Contact",
          "event_contact_send":"Envoyer un message",
          "event_contact_write":"Escribe un mensaje",
          "detail_organized_by": "Organisé par ",
          "events_profile_title":"Les événements de ",
          "detail_description_title":"Description",
          "event_detail_tab_info":"INFORMATION",
          "event_detail_tab_details":"DÉTAILS",
          "event_detail_add_to_calendar":"Ajouter au calendrier",
          "event_detail_when":"QUAND",
          "event_detail_where":"Où",
          "event_detail_profile":"Profil",
          "event_detail_contact":"Contact",
          "event_detail_tickets": "Billets",
          "events_private_wall": "Conseil privé",
          "event_search_place_title": "Définir la ville",
          "event_search_place_current_position": "La position actuelle",
          "event_search_place_search": "recherche",
          "event_search_no_data_title": "Aucun événement",
          "event_search_no_data_text": "  Aucun événement avec les critères sélectionnés, essayer de les changer",
          "event_list_no_data_text1": "Aucun événement à",
          "event_list_no_data_text2": "  la période choisie, essayez de regarder dans une autre ville.",

          "my_events_goto": "Continuer",
          "my_events_goto_create": "pour créer un nouvel événement",

          "sidemenu_signup_login":"Register or Login",
          "sidemenu_subtitle":"Montrez vos billets, enregistrer vos événements favoris",
          "sidemenu_events": "Événements",
          "sidemenu_my_events": "Mes événements",
          "sidemenu_my_tickets":" Mes billets ",
          "sidemenu_profile": "Profil",
          "sidemenu_about": "Qu'est-ce que Metooo",
          "sidemenu_privacy": "Politique de confidentialité",


          "my_tickets_title": "Mes billets",
          "my_tickets_from": "à partir",
          "my_tickets_to": "du",
          "my_tickets_ticket": "Billet",
          "my_tickets_tickets": "Billets",
          "my_tickets_order_num": "N ° de commande.",
          "my_tickets_execute_on": "Effectué le jour",
          "my_tickets_begin_on": " Commence",
          "my_tickets_no_data_title": "Nessun biglietto",
          "my_tickets_no_data_text": "Non hai acquistato nessun biglietto",

          "buy_tickets_title":"Billet",
          "buy_tickets_time": "Temps disponible",
          "buy_tickets_amount": "Montant",
          "buy_tickets_total": "Montant total",
          "buy_tickets_ticket": "Billett",
          "buy_tickets_personal_data": "DONNEES PERSONNELLES",
          "buy_tickets_other_data": "INFORMATIONS COMPLÉMENTAIRES",
          "buy_tickets_name": "Nom",
          "buy_tickets_surname": "Nom de famille",
          "buy_tickets_email": "E-mail",
          "buy_tickets_next": "Prochain billet",
          "buy_tickets_proceed": "Conclure",
          "buy_tickets_end_date":"Commande client:",
          "buy_tickets_availables":"Billets disponibles",
          "buy_tickets_end_title":"Commande terminée",
          "buy_tickets_end_ok":"Commande terminée",
          "buy_tickets_end_share":"Share",
          "buy_tickets_end_detail":"Détails de l\'achat",
          "buy_tickets_end_gotoevent":"Retour à l\'événement",
          "buy_tickets_pay_paypal": "Payez avec Paypal",
          "buy_tickets_data_card": "DONNÉES dE CARTE",
          "buy_tickets_cardnum": "Numéro de carte",
          "buy_tickets_cardmm": "MM",
          "buy_tickets_cardyyyy": "AAAA",
          "buy_tickets_cardcvc": "CVC",
          "buy_tickets_dopay_stripe": "Effectuer un paiement",
          "buy_tickets_dopay_paypal":"Payez avec Paypal",
          "buy_tickets_dopay_card":"Payer par carte",
          "about_title":"Qu'est-ce que Metooo",
          "about_create_event":"CRÉER UNE NOUVELLE MANIFESTATION",
          "about_content_title":"Vous savez que la Méthode peut également créer des événements",
          "about_content_text":"<p>Mettez-vous dans un planificateur d'événement expérimenté!</p><p>Créer, gérer, promouvoir vos événements, à la fois public et privé, vendre des billets ou recevoir des dons d'une manière transparente et sécurisée. </p><p>Parlez-nous de votre événement et votre marque, vous rêvez de votre public avec des modules dédiés: texte, vidéo, images, audio, sponsors, billets. </p><p>È semplice e immediato.</p>",
          "profile_title":"Profil",
          "profile_name": "Nom et prénom",
          "profile_email":"Email",
          "profile_logout":"Déconnexion",
          "myevents_title":"Mes événements",
          "buy_tickets_end_summary_title": "Détails de la commande",
          "buy_tickets_end_ko":"Aucun paiement effectué, essayer à nouveau ou choisir une autre méthode de paiement",
          "buy_tickets_apply_discount":"APPLIQUER",
          "privacy_info": "Infos",

          //--aggiuntive
          "auth_login_failed":"L'authentification a échoué",
          "auth_pwdrec_failed": "Impossible de récupérer le mot de passe",
          "pwdrec_insert_email":"Entrez E-mail",
          "auth_signup_failed": "Échec de l'enregistrement",
          "event_list_server_error": 'Problèmes pendant le chargement des événements. vérifier la connexion.',
          "event_list_error": 'Il y a des problèmes pour charger la liste des événements.',
          "event_list_map_error": "Il y a des problèmes pour chargement de la carte",
          "event_detail_add_to_calendar_confirm": "Confirmation ajouter des dates sur le calendrier?",
          "event_detail_add_to_calendar_ok": 'Ajouter',
          "event_detail_added_to_calendar":'Événement ajouté à des dates de calendrier correctement.',
          'event_detail_added_to_calendar_error':'Il y a des problèmes d\'ajouter au calendrier.',
          "coordinate_not_found": "Les coordonnées introuvable",
          "my_tickets_qrcode_error": "Détection de code à barres a échoué",
          "position_error": "Détection de position a échoué, vérifiez les paramètres de l'appareil et les autorisations",
          "server_data_error":"Problèmes lors de la collecte des données",
          "buy_tickets_no_discount": "trouvé aucune réduction pour le code",
          "buy_tickets_no_discount_err": "Code Check discount échoué",
          'login_to_proceed':'De procéder vous devez vous inscrire ou entrer',
          'no_tickets_selected': "Aucun billet sélectionné.",
          "order_error":"Problèmes tandis que pour l'envoi",
          "order_cancel_error":"Problèmes pendant annulation de commande",
          "confirm_order_cancel": "Méfiez-vous si vous conduisez la commande en cours sera annulé et vous allez commencer un nouvel ordre. Continuer?",
          "proceed":"Procéder",
          "cancel":"Annuler",
          'order_attendee_input_error':'Insérer l\'information requise de billets cessionnaire de procéder.',
          'time_expired':'Le temps disponible est terminée',
          "stripe_error": "Demande d'autorisation Échec",
          "order_pay_error":"Ordre de paiement échoue",
          "data_insert_error":"Remplir tous les champs afin de procéder",
          "msg_send_error":"Problèmes lors de l'envoi du message , s'il vous plaît réessayer plus tard.",
          "msg_send_error_elepsedtime":"Vous venez d'envoyer un message à cet utilisateur , s'il vous plaît réessayer plus tard.",
          "event_list_evidence":"VEDETTE",
          "event_list_thisweek":"CETTE SEMAINE",
          "event_list_thismonth":"CE MOIS-CI",
          "event_search_search_city":"villes à la recherche",
          "event_search_search_event":"recherche d'événements",

          //--fine aggiuntive


      }
    })
    .config(['$translateProvider', 'app_translations',
        function ($translateProvider, app_translations) {
          $translateProvider.translations('it', app_translations['it']);
          $translateProvider.translations('en', app_translations['en']);
          $translateProvider.translations('es', app_translations['es']);
          $translateProvider.translations('fr', app_translations['fr']);
        }
    ])
})();
